Groups Create

View as MarkdownOpen in Claude
Creates a new, empty group, with a requested name. Permission : Team member management. **Required scope:** `groups.write` **Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints) **Authentication:** [Team](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#team-authentication)

Authentication

AuthorizationBearer
Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use `Authorization: Bearer <token>`. Obtain via the authorization code flow with team-scoped permissions. Grants access to team-wide administrative operations. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

Request

This endpoint expects an object.
group_namestringRequired
Group name.
add_creator_as_ownerbooleanOptionalDefaults to false
Automatically add the creator of the group.
group_external_idstring or nullOptional
The creator of a team can associate an arbitrary external ID to the group.
group_management_typeobject or nullOptional
Whether the team can be managed by selected users, or only by team admins.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
createduint64>=0
The group creation time as a UTC timestamp in milliseconds since the Unix epoch.
group_idstring
group_management_typeobject
Who is allowed to manage the group.
group_namestring
group_external_idstring or nullOptional
External ID of group. This is an arbitrary ID that an admin can attach to a group.
member_countuint or nullOptional0-4294967295
The number of members in the group.
memberslist of objects or nullOptional
List of group members.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error